function res = test_zonotope_vertices
% test_zonotope_vertices - unit test function of vertices
%
% Syntax:  
%    res = test_zonotope_vertices
%
% Inputs:
%    -
%
% Outputs:
%    res - boolean 
%
% Example: 
%
% Other m-files required: none
% Subfunctions: none
% MAT-files required: none
%
% See also: -

% Author:       Matthias Althoff
% Written:      26-July-2016
% Last update:  ---
% Last revision:---

%------------- BEGIN CODE --------------

% create zonotope
Z1 = zonotope([-4, -3, -2, -1; 1, 2, 3, 4]);

% obtain result
V1 = vertices(Z1);

% obtain matzrix of vertices
Vmat = get(V1,'V');

% true result 1
true_Vmat = [-8, 0, 2, -4, -4, -10; ...
   2, 0, -8, -4, 6, 10];
        

% check results
res = all(all(abs(Vmat-true_Vmat) < 1e-13));


if res
    disp('test_zonotope_vertices successful');
else
    disp('test_zonotope_vertices failed');
end

%------------- END OF CODE --------------
